com.hazelcast.config

## Class CacheEvictionConfigReadOnly

- java.lang.Object
- - com.hazelcast.config.EvictionConfig
  - - com.hazelcast.config.CacheEvictionConfig
    - - com.hazelcast.config.CacheEvictionConfigReadOnly

- All Implemented Interfaces:
    com.hazelcast.internal.eviction.EvictionConfiguration, DataSerializable, Serializable

  Deprecated.
  Use `EvictionConfigReadOnly` instead of this

      @Deprecated
      public class CacheEvictionConfigReadOnly
      extends CacheEvictionConfig

  Read only version of `CacheEvictionConfig`.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.hazelcast.config.CacheEvictionConfig

      `CacheEvictionConfig.CacheMaxSizePolicy`

    - ### Nested classes/interfaces inherited from class com.hazelcast.config.EvictionConfig

      `EvictionConfig.MaxSizePolicy`

  - ### Field Summary

    - ### Fields inherited from class com.hazelcast.config.EvictionConfig

      `comparator, comparatorClassName, DEFAULT_EVICTION_POLICY, DEFAULT_MAX_ENTRY_COUNT, DEFAULT_MAX_ENTRY_COUNT_FOR_ON_HEAP_MAP, DEFAULT_MAX_SIZE_POLICY, evictionPolicy, maxSizePolicy, readOnly, size`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CacheEvictionConfigReadOnly(EvictionConfig config)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `CacheEvictionConfig` | `setComparator(com.hazelcast.internal.eviction.EvictionPolicyComparator comparator)` Deprecated. Sets the instance of the configured `EvictionPolicyComparator` implementation.
    `CacheEvictionConfig` | `setComparatorClassName(String comparatorClassName)` Deprecated. Sets the class name of the configured `EvictionPolicyComparator` implementation.
    `CacheEvictionConfigReadOnly` | `setEvictionPolicy(EvictionPolicy evictionPolicy)` Deprecated. Sets the `EvictionPolicy` of this eviction configuration.
    `CacheEvictionConfigReadOnly` | `setMaximumSizePolicy(EvictionConfig.MaxSizePolicy maxSizePolicy)` Deprecated. Sets the `EvictionConfig.MaxSizePolicy` of this eviction configuration.
    `CacheEvictionConfig` | `setMaxSizePolicy(CacheEvictionConfig.CacheMaxSizePolicy cacheMaxSizePolicy)` Deprecated. Sets the `EvictionConfig.MaxSizePolicy` by using specified `CacheEvictionConfig.CacheMaxSizePolicy`.
    `CacheEvictionConfigReadOnly` | `setSize(int size)` Deprecated. Sets the size which is used by the `EvictionConfig.MaxSizePolicy`.

    - ### Methods inherited from class com.hazelcast.config.CacheEvictionConfig

      `getAsReadOnly, getMaxSizePolicy, toString`

    - ### Methods inherited from class com.hazelcast.config.EvictionConfig

      `equals, getComparator, getComparatorClassName, getEvictionPolicy, getEvictionPolicyType, getEvictionStrategyType, getMaximumSizePolicy, getSize, hashCode, readData, writeData`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CacheEvictionConfigReadOnly

          public CacheEvictionConfigReadOnly(EvictionConfig config)

      Deprecated.

  - ### Method Detail

    - #### setSize

          public CacheEvictionConfigReadOnly setSize(int size)

      Deprecated.
      Description copied from class: `EvictionConfig`
      Sets the size which is used by the `EvictionConfig.MaxSizePolicy`.

      The interpretation of the value depends on the configured `EvictionConfig.MaxSizePolicy`.

      Accepts any positive number. The default value is 10000.

      Overrides:
        `setSize` in class `CacheEvictionConfig`
      Parameters:
        `size` - the size which is used by the `EvictionConfig.MaxSizePolicy`
      Returns:
        this EvictionConfig instance

    - #### setMaximumSizePolicy

          public CacheEvictionConfigReadOnly setMaximumSizePolicy(EvictionConfig.MaxSizePolicy maxSizePolicy)

      Deprecated.
      Description copied from class: `EvictionConfig`
      Sets the `EvictionConfig.MaxSizePolicy` of this eviction configuration.
      Overrides:
        `setMaximumSizePolicy` in class `CacheEvictionConfig`
      Parameters:
        `maxSizePolicy` - the `EvictionConfig.MaxSizePolicy` of this eviction configuration
      Returns:
        this EvictionConfig instance

    - #### setMaxSizePolicy

          public CacheEvictionConfig setMaxSizePolicy(CacheEvictionConfig.CacheMaxSizePolicy cacheMaxSizePolicy)

      Deprecated.
      Description copied from class: `CacheEvictionConfig`
      Sets the `EvictionConfig.MaxSizePolicy` by using specified `CacheEvictionConfig.CacheMaxSizePolicy`.
      Overrides:
        `setMaxSizePolicy` in class `CacheEvictionConfig`
      Parameters:
        `cacheMaxSizePolicy` - `CacheEvictionConfig.CacheMaxSizePolicy` to be converted and set as `EvictionConfig.MaxSizePolicy`
      Returns:
        this `CacheEvictionConfig`

    - #### setEvictionPolicy

          public CacheEvictionConfigReadOnly setEvictionPolicy(EvictionPolicy evictionPolicy)

      Deprecated.
      Description copied from class: `EvictionConfig`
      Sets the `EvictionPolicy` of this eviction configuration.
      Overrides:
        `setEvictionPolicy` in class `CacheEvictionConfig`
      Parameters:
        `evictionPolicy` - the `EvictionPolicy` of this eviction configuration
      Returns:
        this EvictionConfig instance

    - #### setComparatorClassName

          public CacheEvictionConfig setComparatorClassName(String comparatorClassName)

      Deprecated.
      Description copied from class: `EvictionConfig`
      Sets the class name of the configured `EvictionPolicyComparator` implementation.

      Only one of the `comparator class name` and `comparator` can be configured in the eviction configuration.

      Overrides:
        `setComparatorClassName` in class `CacheEvictionConfig`
      Parameters:
        `comparatorClassName` - the class name of the configured `EvictionPolicyComparator` implementation
      Returns:
        this EvictionConfig instance

    - #### setComparator

          public CacheEvictionConfig setComparator(com.hazelcast.internal.eviction.EvictionPolicyComparator comparator)

      Deprecated.
      Description copied from class: `EvictionConfig`
      Sets the instance of the configured `EvictionPolicyComparator` implementation.

      Only one of the `comparator class name` and `comparator` can be configured in the eviction configuration.

      Overrides:
        `setComparator` in class `CacheEvictionConfig`
      Parameters:
        `comparator` - the instance of the configured `EvictionPolicyComparator` implementation
      Returns:
        this EvictionConfig instance

Copyright © 2019. All rights reserved.